Package org.drinkless.tdlib

# Class TdApi.CallStateDiscarded

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallState
org.drinkless.tdlib.TdApi.CallStateDiscarded

Enclosing class:
  `TdApi`

public static class TdApi.CallStateDiscarded extends TdApi.CallState
The call has ended successfully.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CallState

  `TdApi.CallState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `needDebugInformation`
  True, if the call debug information must be sent to the server.
  `boolean`
  `needLog`
  True, if the call log must be sent to the server.
  `boolean`
  `needRating`
  True, if the call rating must be sent to the server.
  `TdApi.CallDiscardReason`
  `reason`
  The reason why the call has ended.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallStateDiscarded()`
  The call has ended successfully.
  `CallStateDiscarded(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation, boolean needLog)`
  The call has ended successfully.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### reason

    public TdApi.CallDiscardReason reason
    The reason why the call has ended.

  - ### needRating

    public boolean needRating
    True, if the call rating must be sent to the server.

  - ### needDebugInformation

    public boolean needDebugInformation
    True, if the call debug information must be sent to the server.

  - ### needLog

    public boolean needLog
    True, if the call log must be sent to the server.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallStateDiscarded

    public CallStateDiscarded()
    The call has ended successfully.

  - ### CallStateDiscarded

    public CallStateDiscarded(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation, boolean needLog)
    The call has ended successfully.
    Parameters:
      `reason` - The reason why the call has ended.
      `needRating` - True, if the call rating must be sent to the server.
      `needDebugInformation` - True, if the call debug information must be sent to the server.
      `needLog` - True, if the call log must be sent to the server.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CallState`
    Returns:
      this.CONSTRUCTOR